VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | List of all members
ViewCreatorRegistry Class Reference
Inheritance diagram for ViewCreatorRegistry:

## Public Types
using | const_iterator = ViewCreatorRegistryMap::const_iterator

## Public Member Functions
const_iterator | begin ()
const_iterator | end ()
const_iterator | find (IdStringPtr name)
void | add (IdStringPtr name, const IViewCreator *viewCreator)
void | remove (const IViewCreator *viewCreator)

## Member Typedef Documentation

using const_iterator = ViewCreatorRegistryMap::const_iterator

## Member Function Documentation

void add | ( | IdStringPtr | name,
|  | const IViewCreator * | viewCreator
| ) |  |
| inline

const_iterator begin | ( |  | ) |
| inline

const_iterator end | ( |  | ) |
| inline

const_iterator find | ( | IdStringPtr | name | ) |
| inline

void remove | ( | const IViewCreator * | viewCreator | ) |
| inline

The documentation for this class was generated from the following file:

- uiviewfactory.cpp